Bug 28119 - Use full description in layout type selection
Summary: Use full description in layout type selection
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Label/patron card printing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Manual
Depends on:
Blocks:
 
Reported: 2021-04-09 12:02 UTC by Owen Leonard
Modified: 2021-04-29 13:33 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
This enhancement changes the display of the drop down list when adding and editing label layouts (Tools > Label creator > Layouts) so that a full description of label types is shown instead of brief names. For example: "Only the barcode is printed" instead of "BAR".
Version(s) released in:
21.05.00


Attachments
Bug 28119: Use full description in layout type selection (2.11 KB, patch)
2021-04-09 12:15 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28119: Use full description in layout type selection (2.16 KB, patch)
2021-04-11 01:06 UTC, David Nind
Details | Diff | Splinter Review
Bug 28119: (follow-up) Remove unnecessary punctuation (1.54 KB, patch)
2021-04-14 10:53 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28119: Use full description in layout type selection (2.21 KB, patch)
2021-04-17 23:58 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 28119: (follow-up) Remove unnecessary punctuation (1.59 KB, patch)
2021-04-17 23:58 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 28119: Use full description in layout type selection (2.31 KB, patch)
2021-04-21 13:17 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-04-09 12:02:05 UTC
I noticed that in C4::Creators::Lib.pm descriptions are defined for layout types. The label layout template uses layout type "names" instead of these descriptions, which I don't think is as helpful.

I propose to copy the description text from Lib.pm to use in label-edit-layout.tt as the text for the layout type <option> labels.
Comment 1 Owen Leonard 2021-04-09 12:15:54 UTC
Created attachment 119372 [details] [review]
Bug 28119: Use full description in layout type selection

This patch changes the template for editing label layout so that a full
description of label types is shown to the user rather than brief names.

To test, apply the patch and go to Tools -> Label creator -> New ->
Layout.

- On the "Choose layout type" line you should see selections with full
  descriptions, e.g. "Only the barcode is printed."
- Choose a layout type and save the layout. Confirm that your choice was
  saved correctly.
Comment 2 David Nind 2021-04-11 01:06:53 UTC
Created attachment 119439 [details] [review]
Bug 28119: Use full description in layout type selection

This patch changes the template for editing label layout so that a full
description of label types is shown to the user rather than brief names.

To test, apply the patch and go to Tools -> Label creator -> New ->
Layout.

- On the "Choose layout type" line you should see selections with full
  descriptions, e.g. "Only the barcode is printed."
- Choose a layout type and save the layout. Confirm that your choice was
  saved correctly.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2021-04-11 01:11:20 UTC
I agree that having more meaningful descriptions here is much more useful than just the code.

Only a really very trivial comment - should the options have a full stop at the end of the sentence? The option descriptions are full sentences and it would normally  makes sense to have a full stop. However, it looks a little out of place with all the other drop down lists that don't. Either way, it is a nice improvement over the way it is now.
Comment 4 Jonathan Druart 2021-04-14 08:27:33 UTC
I was going to tell the same as David about the full stop. Owen what do you think?
Comment 5 Owen Leonard 2021-04-14 10:53:21 UTC
Created attachment 119558 [details] [review]
Bug 28119: (follow-up) Remove unnecessary punctuation
Comment 6 Katrin Fischer 2021-04-17 23:58:11 UTC
Should it be proceeds or not maybe preceeds?
Comment 7 Katrin Fischer 2021-04-17 23:58:53 UTC
Created attachment 119810 [details] [review]
Bug 28119: Use full description in layout type selection

This patch changes the template for editing label layout so that a full
description of label types is shown to the user rather than brief names.

To test, apply the patch and go to Tools -> Label creator -> New ->
Layout.

- On the "Choose layout type" line you should see selections with full
  descriptions, e.g. "Only the barcode is printed."
- Choose a layout type and save the layout. Confirm that your choice was
  saved correctly.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Katrin Fischer 2021-04-17 23:58:57 UTC
Created attachment 119811 [details] [review]
Bug 28119: (follow-up) Remove unnecessary punctuation

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Jonathan Druart 2021-04-21 13:17:43 UTC
Created attachment 119947 [details] [review]
Bug 28119: Use full description in layout type selection

This patch changes the template for editing label layout so that a full
description of label types is shown to the user rather than brief names.

To test, apply the patch and go to Tools -> Label creator -> New ->
Layout.

- On the "Choose layout type" line you should see selections with full
  descriptions, e.g. "Only the barcode is printed."
- Choose a layout type and save the layout. Confirm that your choice was
  saved correctly.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Bug 28119: (follow-up) Remove unnecessary punctuation

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Jonathan Druart 2021-04-21 13:30:23 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 11 David Nind 2021-04-21 19:23:26 UTC
(In reply to Katrin Fischer from comment #6)
> Should it be proceeds or not maybe preceeds?

Nice catch Katrin! It should be "preceeds"..

"before" is also an alternative.
Comment 12 Fridolin Somers 2021-04-29 13:33:18 UTC
Enhancement not pushed to 20.11.x